Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.serializer
Class TypeSerializerImpl

    java.lang.Object
      org.apache.xmlrpc.serializer.TypeSerializerImpl

All Implemented Interfaces:
  TypeSerializer

Direct Known Subclasses:
  BigDecimalSerializer, BigIntegerSerializer, BooleanSerializer, ByteArraySerializer, CalendarSerializer, DateSerializer, DoubleSerializer, FloatSerializer, I1Serializer, I2Serializer, I4Serializer, I8Serializer, MapSerializer, NullSerializer, ObjectArraySerializer, SerializableSerializer, StringSerializer

    public abstract class TypeSerializerImpl

extends java.lang.Object
implements TypeSerializer

Abstract base implementation of a type serializer.

Field Summary
`static java.lang.String` | `VALUE_TAG` Tag name of a value element.
`protected static org.xml.sax.Attributes` | `ZERO_ATTRIBUTES`

Constructor Summary
`TypeSerializerImpl()`

Method Summary
`protected void` | `write(org.xml.sax.ContentHandler pHandler, java.lang.String pTagName, char[] pValue)`
`protected void` | `write(org.xml.sax.ContentHandler pHandler, java.lang.String pTagName, java.lang.String pValue)`
`protected void` | `write(org.xml.sax.ContentHandler pHandler, java.lang.String pLocalName, java.lang.String pQName, java.lang.String pValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.xmlrpc.serializer.TypeSerializer
`write`

Field Detail

### ZERO_ATTRIBUTES

    protected static final org.xml.sax.Attributes ZERO_ATTRIBUTES

### VALUE_TAG

    public static final java.lang.String VALUE_TAG

  Tag name of a value element.

  See Also:
    Constant Field Values

Constructor Detail

### TypeSerializerImpl

    public TypeSerializerImpl()

Method Detail

### write

    protected void write(org.xml.sax.ContentHandler pHandler,
                         java.lang.String pTagName,
                         java.lang.String pValue)
                  throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### write

    protected void write(org.xml.sax.ContentHandler pHandler,
                         java.lang.String pTagName,
                         char[] pValue)
                  throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### write

    protected void write(org.xml.sax.ContentHandler pHandler,
                         java.lang.String pLocalName,
                         java.lang.String pQName,
                         java.lang.String pValue)
                  throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.